Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Operator.Operations.ContextSensitiveOperations
Class NodalMutation

    java.lang.Object
      Operator.Operations.MutationOperation
          Operator.Operations.ContextSensitiveOperations.NodalMutation

All Implemented Interfaces:
  Operation, ParameterI, Stochastic

    public class NodalMutation

extends MutationOperation

This will find if the chromosome contains a expandable leaf node and will mutate it depending on the mutation probability

Field Summary

Fields inherited from class Operator.Operations.MutationOperation
`fitnessFunction, noOfMutationCalls, probability, rng`

Constructor Summary
`NodalMutation(double prob, RandomNumberGenerator rng)`
`NodalMutation(RandomNumberGenerator rng, java.util.Properties p)`

Method Summary
`void` | `doOperation(Individual operand)` Performs the operation on an operand
`void` | `doOperation(java.util.List<Individual> operands)` Performs the operation on the list passed

Methods inherited from class Operator.Operations.MutationOperation
`getRNG, setFitnessFunction, setProperties, setRNG`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodalMutation

    public NodalMutation(RandomNumberGenerator rng,
                         java.util.Properties p)

### NodalMutation

    public NodalMutation(double prob,
                         RandomNumberGenerator rng)

Method Detail

### doOperation

    public void doOperation(Individual operand)

  Description copied from interface: `Operation`
  Performs the operation on an operand

  Specified by:
    `doOperation` in interface `Operation`
  Specified by:
    `doOperation` in class `MutationOperation`
  Parameters:
    `operand` - operand to perform operation on

### doOperation

    public void doOperation(java.util.List<Individual> operands)

  Description copied from interface: `Operation`
  Performs the operation on the list passed

  Specified by:
    `doOperation` in interface `Operation`
  Specified by:
    `doOperation` in class `MutationOperation`
  Parameters:
    `operands` - operands to be operated on

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD